Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a single table by id.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/tables/{table_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/tables/{table_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/tables/{table_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/tables/{table_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/tables/{table_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/tables/{table_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/tables/{table_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "id": "<string>", "type": "custom", "name": "Companies", "description": "Companies are organizations that own and manage other organizations.", "icon": "<string>", "color": "red", "display_field_id": "<string>", "archived": true, "position": 123, "fields": [ { "id": "<string>", "table_id": "<string>", "key": "<string>", "type": "id", "schema": { "type": "id", "name": "<string>", "description": "<string>", "optional": true, "array": true, "placeholder": "<string>", "display": { "field": "inline", "container": "grid", "empty": "show" }, "prefix": "<string>" }, "readonly": true, "sortable": true, "groupable_in": [ "table" ], "kind": "system" } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer token authentication using your API key
Table ID
custom
contacts
chats
users
The name of the table.
"Companies"
The description of the table.
"Companies are organizations that own and manage other organizations."
The picked icon. Null renders the default table icon.
The picked icon tint. Null renders the default color.
red
orange
amber
yellow
lime
green
teal
cyan
sky
blue
indigo
violet
purple
fuchsia
pink
rose
neutral
The id of the display field.
Whether the table is archived.
Manual display order within the org.
Show child attributes
Was this page helpful?